CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CommandMessenger.StaleGeneralStrategy Class Reference

Stale strategy. Any command older than the time-out is removed from the queue. More...

Inheritance diagram for CommandMessenger.StaleGeneralStrategy:

List of all members.

## Public Member Functions
| StaleGeneralStrategy (long commandTimeOut)
| Stale strategy. Any command older than the time-out is removed from the queue.
override void | OnDequeue ()
| Remove this command (strategy) from command queue.

## Detailed Description

Stale strategy. Any command older than the time-out is removed from the queue.

## Constructor & Destructor Documentation

CommandMessenger.StaleGeneralStrategy.StaleGeneralStrategy | ( | long | commandTimeOut | ) |

Stale strategy. Any command older than the time-out is removed from the queue.

Parameters:

  commandTimeOut | The time-out for any commands on the queue.

## Member Function Documentation

override void CommandMessenger.StaleGeneralStrategy.OnDequeue | ( |  | ) | `[virtual]`

Remove this command (strategy) from command queue.

Reimplemented from CommandMessenger.GeneralStrategy.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/StaleGeneralStrategy.cs